## dods.dap.Server
Interface RelOps

All Known Implementing Classes:
  SDArray, SDBoolean, SDByte, SDFloat32, SDFloat64, SDGrid, SDInt16, SDInt32, SDList, SDSequence, SDString, SDStructure, SDUInt16, SDUInt32, SDURL

public interface RelOps

The RelOps interface defines how each type responds to relational operators. Most (all?) types will not have sensible responses to all of the relational operators (e.g. DByte won't know how to match a regular expression but DString will). For those operators that are nonsensical a class should throw InvalidOperator.

Method Summary
`boolean` `equal(BaseType bt)`
`boolean` `greater_eql(BaseType bt)`
`boolean` `greater(BaseType bt)`
`boolean` `less_eql(BaseType bt)`
`boolean` `less(BaseType bt)`
`boolean` `not_equal(BaseType bt)`
`boolean` `regexp(BaseType bt)`

Method Detail

### equal

    public boolean equal(BaseType bt)
                  throws InvalidOperatorException,
                         RegExpException,
                         SBHException

  Throws:
    `InvalidOperatorException`
    `RegExpException`
    `SBHException`

### not_equal

    public boolean not_equal(BaseType bt)
                      throws InvalidOperatorException,
                             RegExpException,
                             SBHException

  Throws:
    `InvalidOperatorException`
    `RegExpException`
    `SBHException`

### greater

    public boolean greater(BaseType bt)
                    throws InvalidOperatorException,
                           RegExpException,
                           SBHException

  Throws:
    `InvalidOperatorException`
    `RegExpException`
    `SBHException`

### greater_eql

    public boolean greater_eql(BaseType bt)
                        throws InvalidOperatorException,
                               RegExpException,
                               SBHException

  Throws:
    `InvalidOperatorException`
    `RegExpException`
    `SBHException`

### less

    public boolean less(BaseType bt)
                 throws InvalidOperatorException,
                        RegExpException,
                        SBHException

  Throws:
    `InvalidOperatorException`
    `RegExpException`
    `SBHException`

### less_eql

    public boolean less_eql(BaseType bt)
                     throws InvalidOperatorException,
                            RegExpException,
                            SBHException

  Throws:
    `InvalidOperatorException`
    `RegExpException`
    `SBHException`

### regexp

    public boolean regexp(BaseType bt)
                   throws InvalidOperatorException,
                          RegExpException,
                          SBHException

  Throws:
    `InvalidOperatorException`
    `RegExpException`
    `SBHException`